<!DOCTYPE html>
<html>

<head>

  <% include ../partials/head %>
  <%include ../partials/navbar %>
  <%include ../partials/header %>

  <title> Inscription </title>

</head>

<body>
  <br><br><br><br>
  <div class="container padding-top-10 login-container" style="width: 600px;">

    <div class="panel panel-default">
      <div class="panel-heading">
        <h3><u><b> Inscription </b></u></h3>
      </div>

      <div class="panel-body">
        <form action="/register" id="registryForm" method="post">
          <label for="user_fname" class="control-label"> Nom: </label>
          <div class="row">
            <div class="col-md-6">
              <input type="text" class="form-control" required pattern="^[a-zA-Z][a-zA-Z0-9]{1,30}$" id="user_fname" name="user_fname" placeholder="Prenom">
            </div>
            <div class="col-md-6">
              <input type="text" class="form-control" required pattern="^[a-zA-Z][a-zA-Z0-9]{1,30}$" id="user_lname" name="user_lname" placeholder="Nom de famille">
            </div>
          </div>
          <label for="user_username" class="control-label"> Nom d'utilisateur: </label>
          <input type="text" class="form-control" required pattern="^[a-zA-Z][a-zA-Z0-9]{1,30}$" id="user_username" name="user_username">
          <label for="user_password" class="control-label"> Mot de passe: </label>
          <input type="password" class="form-control" required pattern="^[a-zA-Z][a-zA-Z0-9]{1,30}$" id="user_password" name="user_password">
          <label for="user_password_repeat" class="control-label"> Confirmer le mot de passe: </label>
          <input type="password" class="form-control" required pattern="^[a-zA-Z][a-zA-Z0-9]{1,30}$" id="user_password_repeat" name="user_password_repeat">
          <label for="user_access" class="control-label"> Type de compte: </label>
          <select name="user_access" id="user_access" class="form-control" disabled>
            <option value="1"> Invité </option>
            <option value="2"> Opérateur </option>
            <option value="3"> Contremaître </option>
          </select>
          <p><i> *Tous les champs doivent contenir entre 1 et 30 charactères et être composés de lettres et chiffres </i></p>
          <br>
          <button type="submit" class="btn btn-default"> Soumettre </button>
        </form>
        <br>
        <% if(error == true) { %>
          <div class="alert alert-danger alert-dismissable fade in">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
              <strong> <%= errorDesc %> </strong>
          </div>
        <% } %>
      </div>
    </div>


  </div>

  <% include ../partials/footer %>
  <%include ../partials/parsers %>
  <% include ../partials/libs %>
</body>

</html>
